/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.jasmine.rules.rulebundle;

import java.util.logging.Logger;

import org.osgi.framework.BundleContext;
import org.ow2.jasmine.rules.osgi.impl.RulesActivator;

/**
 * A rule bundle activator that just logs messages when starting and stopping.
 *
 * @author Julien Nicoulaud
 */
public class Activator extends RulesActivator {

    /**
     * Logger.
     */
    private Logger logger = Logger.getLogger(this.getClass().getName());

    /**
     * When the bundle is deployed
     */
    @Override
    public void doStart(final BundleContext bundleContext) throws Exception {
        this.logger.info("Rule bundle starting");
    }

    /**
     * When the bundle is undeployed
     */
    @Override
    public void doStop(final BundleContext bundleContext) throws Exception {
        this.logger.info("Rule bundle stopping");
    }

}
